Package org.tmatesoft.svn.core.wc2

# Class SvnRelocate

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<SVNURL>
org.tmatesoft.svn.core.wc2.SvnRelocate

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnRelocate extends SvnOperation<SVNURL>
Represents relocate operation. Substitutes the beginning part of a working copy `target`'s URL with a new one.

When a repository root location or a URL schema is changed the `fromUrl` of the working copy which starts with `fromUrl` should be substituted for a new URL beginning - `toUrl`, or full `target`'s URL should be substituted with `toUrl`.

Version:
  1.7
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnRelocate(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`SVNURL`
`getFromUrl()`
Returns the old beginning part of the `target`'s repository URL that should be overwritten.
`SVNURL`
`getToUrl()`
Gets the new beginning part for the repository location or full repository location that will overwrite `target`'s repository URL.
`protected void`
`initDefaults()`
`boolean`
`isChangesWorkingCopy()`
Gets whether the operation changes working copy
`boolean`
`isIgnoreExternals()`
Returns whether to ignore externals definitions.
`boolean`
`isRecursive()`
Returns whether to relocate entire tree of `target` if it is a directory.
`void`
`setFromUrl(SVNURL fromUrl)`
Sets the old beginning part of the `target`'s repository URL that should be overwritten.
`void`
`setIgnoreExternals(boolean ignoreExternals)`
Sets whether to ignore externals definitions.
`void`
`setRecursive(boolean recursive)`
Sets whether to relocate entire tree of `toUrl` if it is a directory.
`void`
`setToUrl(SVNURL toUrl)`
Sets the new beginning part for the repository location or full repository location that will overwrite `target`'s repository URL.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnRelocate

protected SvnRelocate(SvnOperationFactory factory)

## Method Details

### getFromUrl

public SVNURL getFromUrl()
Returns the old beginning part of the `target`'s repository URL that should be overwritten. Optional parameter, if `null` full `target`'s repository URL should be overwritten.

Returns:
  old beginning part of the repository URL of the `target`

### setFromUrl

public void setFromUrl(SVNURL fromUrl)
Sets the old beginning part of the `target`'s repository URL that should be overwritten. Optional parameter, if `null` full `target`'s repository URL should be overwritten.

Parameters:
  `fromUrl` - old beginning part of the repository URL of the `target`

### getToUrl

public SVNURL getToUrl()
Gets the new beginning part for the repository location or full repository location that will overwrite `target`'s repository URL. If `fromUrl` is `null` full URL should be overwritten, otherwise only beginning part should be overwritten.

Returns:
  new repository path or part of repository path of the `target`

### setToUrl

public void setToUrl(SVNURL toUrl)
Sets the new beginning part for the repository location or full repository location that will overwrite `target`'s repository URL. If `fromUrl` is `null` full URL should be overwritten, otherwise only beginning part should be overwritten.

Parameters:
  `toUrl` - new repository path or part of repository path of the `target`

### isIgnoreExternals

public boolean isIgnoreExternals()
Returns whether to ignore externals definitions.

Returns:
  `true` if externals definitions should be ignored, otherwise `false`

### setIgnoreExternals

public void setIgnoreExternals(boolean ignoreExternals)
Sets whether to ignore externals definitions.

Parameters:
  `ignoreExternals` - `true` if externals definitions should be ignored, otherwise `false`

### setRecursive

public void setRecursive(boolean recursive)
Sets whether to relocate entire tree of `toUrl` if it is a directory. Only relevant for 1.6 working copies.

Parameters:
  `recursive` - `true` if the entire tree of `toUrl` directory should be relocated, otherwise `false`

### isRecursive

public boolean isRecursive()
Returns whether to relocate entire tree of `target` if it is a directory. Only relevant for 1.6 working copies.

Returns:
  `true` if the entire tree of `target` directory should be relocated, otherwise `false`

### initDefaults

protected void initDefaults()

Overrides:
  `initDefaults` in class `SvnOperation<SVNURL>`

### isChangesWorkingCopy

public boolean isChangesWorkingCopy()
Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<SVNURL>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`